Package Gnumed :: Module gnumed |
[frames] | no frames]

# Module gnumed

source code

Version: $Revision: 1.169 $

Author: H. Herb <hherb@gnumed.net>, K. Hilbert <Karsten.Hilbert@gmx.net>, I. Haywood <i.haywood@ugrad.unimelb.edu.au>

License: GPL v2 or later (details at http://www.gnu.org)

Functions
setup_python_path() | source code
setup_logging() | source code
log_startup_info() | source code
setup_console_exception_handler() | source code
setup_cli() | source code
handle_sig_term(signum, frame) | source code
setup_signal_handlers() | source code
setup_locale() | source code
handle_help_request() | source code
handle_version_request() | source code
setup_paths_and_files() Create needed paths in user home directory. | source code
setup_date_time() | source code
setup_cfg() Detect and setup access to GNUmed config file. | source code
setup_ui_type() | source code
setup_backend() | source code
shutdown_backend() | source code
shutdown_logging() | source code
shutdown_tmp_dir() | source code

Variables
| __doc__ = `"""GNUmed client launch`...``
| current_client_version = `u'GIT HEAD'`
| current_client_branch = `u'GIT tree'`
| import_error_sermon = ``...``
| missing_cli_config_file = `u`...``
| no_config_files = `u`...``
| profile_file = `_cfg.get(option= u'--profile', source_order= [(`...``

Imports: sys, platform, logging, signal, os, shutil, gmI18N, gmTools, gmDateTime, gmHooks, gmPG2, gmGuiMain, profile, gmWebGuiServer, gmGuiWeb

Function Details

### setup_cfg() | source code
Detect and setup access to GNUmed config file. Parts of this will have limited value due to wxPython not yet being available.

Variables Details

  ### __doc__ Value:
      """GNUmed client launcher.

      This is the launcher for the GNUmed GUI client. It takes
      care of all the pre- and post-GUI runtime environment setup.

      --quiet
       Be extra quiet and show only _real_ errors in the log.
      --debug
      ...

  ### import_error_sermon Value:
      """
      GNUmed startup: Cannot load GNUmed Python modules !
      ---------------------------------------------------
      CRITICAL ERROR: Program halted.

      Please make sure you have:

       1) the required third-party Python modules installed
      ...

  ### missing_cli_config_file Value:
      u"""
      GNUmed startup: Missing configuration file.
      -------------------------------------------

      You explicitly specified a configuration file
      on the command line:

      	--conf-file=%s
      ...

  ### no_config_files Value:
      u"""
      GNUmed startup: Missing configuration files.
      --------------------------------------------

      None of the below candidate configuration
      files could be found:

       %s
      ...

  ### profile_file Value:
      _cfg.get(option= u'--profile', source_order= [(u'cli', u'return')])